- name: Setup fastify app
  hosts: all
  tasks:
    - name: Add apt key
      become: yes
      ansible.builtin.apt_key:
        url: "https://keyserver.ubuntu.com/pks/lookup?op=get&fingerprint=on&search=0x1655A0AB68576280"
        id: "68576280"

    - name: Add repo
      become: yes
      ansible.builtin.apt_repository:
        repo: deb https://deb.nodesource.com/node_16.x focal main
        filename: nodesource
        state: present

    - name: Install node
      become: yes # root access
      ansible.builtin.apt:
        name: nodejs
        state: present

    - name: Install create react app
      become: yes
      shell: npm i -g create-react-app
      args:
        chdir: /vagrant
        creates: ./frontend/package.json

    - name: Init create react app
      shell: create-react-app frontend
      args:
        chdir: /vagrant
        creates: ./frontend/package.json

    - name: Set HOST env var
      become: yes # root access
      ansible.builtin.lineinfile:
        path: /etc/environment
        regexp: "^HOST="
        line: HOST=0.0.0.0

    - name: Prevent BROWSER from opening
      become: yes # root access
      ansible.builtin.lineinfile:
        path: /etc/environment
        regexp: "^BROWSER="
        line: BROWSER=none
